JavaScript
import PromptFoundry from '@prompt-foundry/typescript-sdk';
const client = new PromptFoundry({
apiKey: process.env['PROMPT_FOUNDRY_API_KEY'], // This is the default and can be omitted
});
async function main() {
const evaluationAssertion = await client.evaluationAssertions.update('1212121', {
evaluationId: 'evaluationId',
targetValue: 'targetValue',
type: 'EXACT_MATCH',
});
console.log(evaluationAssertion);
}
main();import os
from prompt_foundry_python_sdk import PromptFoundry
client = PromptFoundry(
# This is the default and can be omitted
api_key=os.environ.get("PROMPT_FOUNDRY_API_KEY"),
)
evaluation_assertion = client.evaluation_assertions.update(
id="1212121",
evaluation_id="evaluationId",
target_value="targetValue",
type="EXACT_MATCH",
)
print(evaluation_assertion)curl --request PUT \
--url https://api.promptfoundry.ai/sdk/v1/evaluation-assertions/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"type": "EXACT_MATCH",
"evaluationId": "<string>",
"targetValue": "<string>",
"weight": 1,
"jsonPath": "$",
"ignoreCase": false,
"negate": false
}
'
{
"type": "EXACT_MATCH",
"evaluationId": "<string>",
"targetValue": "<string>",
"id": "<string>",
"weight": 1,
"jsonPath": "$",
"ignoreCase": false,
"negate": false
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API Reference
Update Evaluation Assertion
Update an existing evaluation assertion by providing its ID and new data.
PUT
/
sdk
/
v1
/
evaluation-assertions
/
{id}
JavaScript
import PromptFoundry from '@prompt-foundry/typescript-sdk';
const client = new PromptFoundry({
apiKey: process.env['PROMPT_FOUNDRY_API_KEY'], // This is the default and can be omitted
});
async function main() {
const evaluationAssertion = await client.evaluationAssertions.update('1212121', {
evaluationId: 'evaluationId',
targetValue: 'targetValue',
type: 'EXACT_MATCH',
});
console.log(evaluationAssertion);
}
main();import os
from prompt_foundry_python_sdk import PromptFoundry
client = PromptFoundry(
# This is the default and can be omitted
api_key=os.environ.get("PROMPT_FOUNDRY_API_KEY"),
)
evaluation_assertion = client.evaluation_assertions.update(
id="1212121",
evaluation_id="evaluationId",
target_value="targetValue",
type="EXACT_MATCH",
)
print(evaluation_assertion)Authorizations
Path Parameters
Example:
"1212121"
Body
application/json
- EvaluationAssertionExactMatchBody
- EvaluationAssertionContainsAllBody
- EvaluationAssertionContainsAnyBody
- EvaluationAssertionStartsWithBody
- EvaluationAssertionCostBody
- EvaluationAssertionLatencyBody
- EvaluationAssertionToolCalledBody
- EvaluationAssertionToolCalledWithBody
Available options:
EXACT_MATCH The value to match.
How heavily to weigh the assertion within the evaluation.
Required range:
0 <= x <= 1A JSON path to use when matching a JSON response.
Whether to ignore case when comparing strings.
Whether to negate the assertion. "true" means the assertion must NOT be true.
Response
Successful operation
- EvaluationAssertionExactMatch
- EvaluationAssertionContainsAll
- EvaluationAssertionContainsAny
- EvaluationAssertionStartsWith
- EvaluationAssertionCost
- EvaluationAssertionLatency
- EvaluationAssertionToolCalled
- EvaluationAssertionToolCalledWith
Available options:
EXACT_MATCH The value to match.
How heavily to weigh the assertion within the evaluation.
Required range:
0 <= x <= 1A JSON path to use when matching a JSON response.
Whether to ignore case when comparing strings.
Whether to negate the assertion. "true" means the assertion must NOT be true.
Was this page helpful?